> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/zec/security-group/describesecuritygrouprule.md).

# DescribeSecurityGroupRule

## 1. 接口描述

本接口(DescribeSecurityGroupRule)用于查询指定安全组内的规则。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型     | 描述     |
| --------------- | -- | ------ | ------ |
| securityGroupId | 是  | String | 安全组ID。 |

## 3. 响应结果

| 参数名称            | 类型                                                                                                     | 描述                                                       |
| --------------- | ------------------------------------------------------------------------------------------------------ | -------------------------------------------------------- |
| requestId       | String                                                                                                 | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| ingressRuleList | Array of [SecurityGroupRuleInfo](/api-reference/cn/compute/zec/datastructure.md#securitygroupruleinfo) | 入方向规则列表。                                                 |
| egressRuleList  | Array of [SecurityGroupRuleInfo](/api-reference/cn/compute/zec/datastructure.md#securitygroupruleinfo) | 出方向规则列表。                                                 |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询安全组下的所有规则。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeSecurityGroupRule
<Common Request Params>

Request:
{
  "securityGroupId": "791721259766392536"
}

Response:
{
  "requestId": "T27931ABC-1856-4928-9B82-D80C56DD4DBA",
  "response": {
    "requestId": "T27931ABC-1856-4928-9B82-D80C56DD4DBA",
    "ingressRuleList": [
      {
        "direction": "ingress",
        "ipProtocol": "all",
        "portRange": "1-65535",
        "policy": "accept",
        "priority": 1,
        "cidrIp": "0.0.0.0/0",
        "desc": "aaa"
      }
    ],
    "egressRuleList": [
      {
        "direction": "egress",
        "ipProtocol": "all",
        "portRange": "1-65535",
        "policy": "accept",
        "priority": 1,
        "cidrIp": "0.0.0.0/0",
        "desc": "xxx"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                  | 说明      |
| ------- | ------------------------------------ | ------- |
| 404     | INVALID\_SECURITY\_GROUP\_NOT\_FOUND | 安全组不存在。 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/security-group/describesecuritygrouprule.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
